<template>
<div>
    <div
        v-if="context_menu"
        class="on-center"
    >
        <div class="list-group on-center-sub">
            <button 
                type="button" 
                class="list-group-item list-group-item-action dark"
                @click="onHotKeys"
            >HotKeys</button>
            <button
                v-if="pip_menu"
                type="button" 
                class="list-group-item list-group-item-action dark"
                @click="onPiP"
            >Picture-in-Picture</button>
            <span class="badge badge-danger">made under the beer</span>
            <span class="badge badge-secondary">v: 0.2.2</span>
        </div>
    </div>
    <HotkeysMenu 
        :hot_key_menu="hot_key_menu"
        @close="closeHotKeyMenu"
    />
</div>
</template>

<script>
import HotkeysMenu from './HotkeysMenu';

export default {
    name: 'PlayerContextMenu',
    components: {
        HotkeysMenu
    },
    props:{
        context_menu:Boolean,
        hot_key_menu:Boolean
    },
    mounted(){
        if (!document.pictureInPictureEnabled) {
            this.pip_menu = false;
        }
    },
    watch:{
        'hot_key_mune':'isOpenHotKeyMenu'
    },
    data: () => ({
        pip_menu:true,
        is_open_hot_key_menu:false
    }),
    methods:{
        closeHotKeyMenu(){
            this.$emit('closeSubMenu');
        },
        onHotKeys(){
            // if(this.hot_key_mune){
            //     return;
            // }
            this.$emit('openSubMenu');
            //this.hot_key_mune = true;
        },
        onPiP(){
            this.$emit('openSubMenuPiP');
        }
    }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
    .on-center{
        left:50%;
        top:50%;
        z-index: 105;
        max-width:200px;
        position: absolute;
    }
    .on-center-sub{
        margin-left:-50%;
        margin-top:-50%;
        max-width:240px;
        
    }
    .dark{
        background: rgb(109, 109, 110);
        color:white;
    }
</style>
